> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Load Rich Content for a single property



## OpenAPI

````yaml /openapi/accomsoa-api.openapi.json get /accommodationapi/v1/loadRichContent/{code}
openapi: 3.0.0
info:
  description: AccomSOA API for accommodation, activity, and EBS-related booking workflows.
  version: 1.0.0
  title: AccomSOA API
  contact:
    name: Adventium Tech Support
    url: https://www.adventium.tech
    email: tech-support@adventium.tech
servers:
  - url: //accomsoatest.websitetravel.com
security: []
tags:
  - name: accommodation-controller
    description: Accommodation Controller
  - name: activity-controller
    description: Activity Controller
  - name: basic-error-controller
    description: Basic Error Controller
  - name: ebs-controller
    description: EBS Controller
  - name: index-controller
    description: Index Controller
paths:
  /accommodationapi/v1/loadRichContent/{code}:
    get:
      tags:
        - accommodation-controller
      summary: Load Rich Content for a single property
      operationId: loadRichContentForPropertyUsingGET
      parameters:
        - name: code
          in: path
          description: code
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseData_AccommodationRC_'
        '400':
          description: Failed
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
      deprecated: false
components:
  schemas:
    ResponseData_AccommodationRC_:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/AccommodationRC'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ResponseExtraInformation'
        status:
          type: integer
          format: int32
        warnings:
          type: array
          items:
            $ref: '#/components/schemas/ResponseExtraInformation'
      title: ResponseData«AccommodationRC»
    AccommodationRC:
      type: object
      properties:
        accommodationName:
          type: string
        chain:
          type: string
        checkinTime:
          type: string
        checkoutTime:
          type: string
        city:
          type: string
        code:
          type: string
        country:
          type: string
        email:
          type: string
        errata:
          type: string
        facilityGroups:
          type: array
          items:
            $ref: '#/components/schemas/FacilityGroup'
        images:
          type: array
          items:
            $ref: '#/components/schemas/Image'
        internalDestinationCode:
          type: string
        introduction:
          type: string
        lastUpdate:
          type: string
          example: yyyy-MM-dd
        latitude:
          type: number
        longitude:
          type: number
        phone:
          type: string
        postcode:
          type: string
        productType:
          type: string
        rating:
          type: number
        ratingText:
          type: string
        state:
          type: string
        street:
          type: string
        zoneCode:
          type: string
      title: AccommodationRC
    ResponseExtraInformation:
      type: object
      properties:
        code:
          type: string
        text:
          type: string
      title: ResponseExtraInformation
    FacilityGroup:
      type: object
      properties:
        facilities:
          type: array
          items:
            type: string
        groupName:
          type: string
      title: FacilityGroup
    Image:
      type: object
      properties:
        imageDescription:
          type: string
        imageURL:
          type: string
      title: Image

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.